sbservices_client_free
sbservices_client_new
sbservices_client_start_service
sbservices_client_t
sbservices_error_t
sbservices_get_home_screen_wallpaper_pngdata
sbservices_get_icon_pngdata
sbservices_get_icon_state
sbservices_get_interface_orientation
sbservices_interface_orientation_t
SBSERVICES_SERVICE_NAME
sbservices_set_icon_state

## sbservices_client_start_service()

LIBIMOBILEDEVICE_API sbservices_error_t sbservices_client_start_service | ( | idevice_t | device,
|  | sbservices_client_t * | client,
|  | const char * | label )

Starts a new sbservices service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated sbservices_client_t upon successful return. Must be freed using sbservices_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  SBSERVICES_E_SUCCESS on success, or an SBSERVICES_E_* error code otherwise.